
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>MySQL中从库延迟状况排查的一则案例_Mysql / iVAN</title>

    <meta name="description" content="MySQL中从库延迟状况排查的一则案例_Mysql 今天给一个客户巡检的情况下发从库没有业务的情况mysqld的cpu的一个core占用100%.查主库慢查询也没有关于写的SQL. 可以说是典的单进程复制把一个cpu占满造成的．知道原因了,就好分析了． 分析一下binlog中写的什么,看看有什么地方可以优化或是加速的．利用工具:pasrebinlog 利用show slave status\G; 查当前同步的到节点,然后对日值进行解析． git clone https://github.com/wubx/mysql-binlog-statisti">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">MySQL中从库延迟状况排查的一则案例_Mysql</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>今天给一个客户巡检的情况下发从库没有业务的情况mysqld的cpu的一个core占用100%.查主库慢查询也没有关于写的SQL.<br />
可以说是典的单进程复制把一个cpu占满造成的．知道原因了，就好分析了．<br />
分析一下binlog中写的什么，看看有什么地方可以优化或是加速的．利用工具：pasrebinlog<br />
利用show slave status\G; 查当前同步的到节点，然后对日值进行解析．</p>
<pre>
git clone https://github.com/wubx/mysql-binlog-statistic.git
cd mysql-binlog-statistic/bin/
parsebinlog /u1/mysql/logs/mysql-bin.000806

...
====================================
Table xx_db.xxtable:
Type DELETE opt： 101246
Type INSERT opt： 103265
================================
...
</pre>
<p> </p>
<p>以最大的数排序看，　定位到:　xx_db.xxtable，对于一个日值中能删除10几万，写入10几万．是不是这个表写入比较慢了呢．<br />
在从库上查看innodb的相关情况：</p>
<pre>
MySQL&gt; show engine innodb status\G;
...
---TRANSACTION 1C0C2DFDF, ACTIVE 3 sec fetching rows
mysql tables in use 1, locked 1
3361 lock struct(s), heap size 407992, 477888 row lock(s), undo log entries 42
MySQL thread id 43, OS thread handle 0x7fc1800c4700, query id 1908504 Reading event from the relay log
TABLE LOCK table xx_db.xxtable trx id 1C0C2DFDF lock mode IX
RECORD LOCKS space id 1002 page no 1975 n bits 1120 index `AK_movieid` of table xx_db.xxtable trx id 1C0C2DFDF lock_mode X locks rec but not gap
RECORD LOCKS space id 1002 page no 6965 n bits 264 index `GEN_CLUST_INDEX` of table xx_db.xxtable trx id 1C0C2DFDF lock_mode X locks rec but not gap
RECORD LOCKS space id 1002 page no 6967 n bits 256 index `GEN_CLUST_INDEX` of table xx_db.xxtable trx id 1C0C2DFDF lock_mode X locks rec but not gap
RECORD LOCKS space id 1002 page no 6973 n bits 264 index `GEN_CLUST_INDEX` of table xx_db.xxtable trx id 1C0C2DFDF lock_mode X locks rec but not gap
RECORD LOCKS space id 1002 page no 6982 n bits 256 index `GEN_CLUST_INDEX` of table xx_db.xxtable trx id 1C0C2DFDF lock_mode X locks rec but not gap
RECORD LOCKS space id 1002 page no 6983 n bits 256 index `GEN_CLUST_INDEX` of table xx_db.xxtable trx id 1C0C2DFDF lock_mode X locks rec but not gap
RECORD LOCKS space id 1002 page no 6987 n bits 256 index `GEN_CLUST_INDEX` of table xx_db.xxtable trx id 1C0C2DFDF lock_mode X locks rec but not gap
RECORD LOCKS space id 1002 page no 6999 n bits 256 index `GEN_CLUST_INDEX` of table xx_db.xxtable trx id 1C0C2DFDF lock_mode X locks rec but not gap
RECORD LOCKS space id 1002 page no 7000 n bits 256 index `GEN_CLUST_INDEX` of table xx_db.xxtable trx id 1C0C2DFDF lock_mode X locks rec but not gap
TOO MANY LOCKS PRINTED FOR THIS TRX: SUPPRESSING FURTHER PRINTS
----------------------------
END OF INNODB MONITOR OUTPUT

...
</pre>
<p>从Innodb 的monitor output 中也可看到 xx_db.xxtable 这表已经是表级表了，造成并发比较低，而且有大量的：　GEN_CLUST_INDEX　而且属于一个事务．　　GEN_CLUST_INDEX表示没有主建，内部产生一个主建，对于内部产生的主建很很容易造成page拆分的操作．</p>
<p>问题到这里基本上可以得到解决问题的方法了：<br />
给xx_db.xxtable 添加一个主建即可．这里后是给xx_db.xxtable 添加了一个无业务意义的id　int　自增主建．这样立马可以看到mysqld占用的cpu单核降到了3％左右，　同时后续同步一切正常，观查一天没出现同步延迟的问题．</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索mysql<br />
                                    网络延迟大排查步骤、mysql 问题排查、mysql 排查死锁、学生矛盾纠纷排查案例、社区矛盾纠纷排查案例，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 05:14:56</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/mysql/" title="mysql">mysql</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>MySQL中从库延迟状况排查的一则案例_Mysql的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmgmNp.html" rel="bookmark">解决MySQL中的Slave延迟问题的基本教程&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.原因分析一般而言,slave相对master延迟较大,其根本原因就是slave上的复制线程没办法真正做到并发.简单说,在master上是并发模式(以InnoDB引擎为主)完成事务提交的,而在slave上,复制线程只有一个sql thread用于binlog的apply,所以难怪slave在高并发时会远落后master. ORACLE MySQL 5.6版本开始支持多线程复制,配置选项 slave_parallel_workers 即可实现在slave上多线程并发复制.不过,它只能支持一个实例			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mq7RP3z.html" rel="bookmark">mysql中Table is read only的解决方法小结&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果是使用中的数据库突然出现些类问题 在Linux下面执行下面命令就可以了,当然你要找到你的mysql目录 linux中 复制代码 代码如下: /usr/local/mysql/bin/mysqladmin -u root -p flush-tables windows中 可以在cmd中执行lush-tables 也可以在phpmyadmin 直利用修复表进行修改 如果是导入还原数据 ,所以将该数据库文件夹下面所有表文件chmod成777,chown成&quot;_mysql&quot;,但这次问题更严重			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn86O0b.html" rel="bookmark">MySQL中使用SQL语句对字段进行重命名&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MySQL中,如何使用SQL语句来对表中某一个字段进行重命名呢?我们将使用alter table 这一SQL语句. 重命名字段的语法为:alter table &lt;表名&gt; change &lt;字段名&gt; &lt;字段新名称&gt; &lt;字段的类型&gt;. 现在我们来尝试把test表中的t_name字段重命名为t_name_new字段. 1.首先查看一下当前test表的结构 mysql&gt; describe test; +------------+-------------+---			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8NEgob.html" rel="bookmark">MySQL中Stmt 预处理提高效率问题的小研究&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: DELIMITER $$ set @stmt = 'select userid,username from myuser where userid between ? and ?'; prepare s1 from @stmt; set @s1 = 2; set @s2 = 100; execute s1 using @s1,@s2; deallocate prepare s1; $$ DELIMITER ; 用这种形式写的查询,可以随意替换参数,给出代码的人称之为预处理,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2ZV0vb.html" rel="bookmark">MySQL中CHAR和VARCHAR类型演变和详解&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.演变: MySQL数据库的varchar类型在5.0.3以下的版本中的最大长度限制为255,其数据范围可以是0~255. 在MySQL5.0.3及以上的版本中,varchar数据类型的长度支持到了65535,也就是说可以存放65532个字节的数据,起始位和结束位占去了3个字节,也就是说,在5.0.3以下版本中需要使用固定的TEXT或BLOB格式存放的数据可以在高版本中使用可变长的varchar来存放,这样就能有效的减少数据库文件的大小. 如果在varchar中写入大于设定的长度,默认情况下会			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDkKXBp.html" rel="bookmark">Mysql中 unique列插入重复值该怎么解决呢&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当unique列在一个UNIQUE键上插入包含重复值的记录时,我们可以控制MySQL如何处理这种情况:使用IGNORE关键字或者ON DUPLICATE KEY UPDATE子句跳过INSERT.中断操作或者更新旧记录为新值. mysql&gt; create table menus(id tinyint(4) not null auto_increment, -&gt; label varchar(10) null,url varchar(20) null,unique key(id)); Query			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEYgeJb.html" rel="bookmark">大幅提升MySQL中InnoDB的全表扫描速度的方法&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 在 InnoDB中更加快速的全表扫描 一般来讲,大多数应用查询的时候都会用索引,查找很少的几行数据(主键查找或百行内的查询),但有时候我们需要全表查询.典型的全表扫描就是逻辑备份  (mysqldump) 和 online schema changes( 注:在线上对大表 schema 的操作,也是 facebook 的一个开源项目) (SELECT ... INTO OUTFILE).  在 Facebook我们用 mysqldump 来备份数据库. 正如你所知MySql提供两种备份方式,提			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyWPGZz.html" rel="bookmark">MySQL 中查找含有目标字段的表的方法&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: SELECT TABLE_SCHEMA,TABLE_NAME FROM information_schema.`COLUMNS` WHERE COLUMN_NAME='字段名字' 参考:MySQL中,一个字段在多张表都存在,怎么用sql语句一次性查询这些表呢			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGr0w3p.html" rel="bookmark">mysql中group by与having合用注意事项分享&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				group by函数应该的使用应该是SELECT 列表中指定的每一列也必须出现在 GROUP BY 子句中,除非这列是用于聚合函数,但是今天帮同事调试一个mysql中的group by函数,让我大跌眼镜,当时感觉不可思议,然后回来做了个简化版试验,试验过程如下: mysql表结构 复制代码 代码如下: mysql&gt; desc t;+---+----–+--+-–+---+---+| Field | Type | Null | Key | Default | Extra |+---+----–+-			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRDG3z.html" rel="bookmark" class="title">Photoshop打造甜美的青红色夏季外景人物图片</a>
					<div>
						  Photoshop打造甜美的青红色夏季外景人物图片:素材图片人物部分不够甜美,处理的时候先给暗部增加青绿色,高光区域增加淡青色;然后给图片局部渲染高光;再把肤色调红润即可. 原图 最终效果     ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9qYKM.html" rel="bookmark" class="title">轻松弹出无边框网页的Javscrpt代码</a>
					<div>
						网页 现在做个人主页是一件非常流行的事情,正在做主页的您肯定想让自己的主页更酷.更精彩.更多的与众不同,在这里给您个简短的代码,加入到&lt; body&gt;和&lt; /body&gt;之间,这样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mv9Nrb.html" rel="bookmark" class="title">Asp实现限制IP访问 的程序</a>
					<div>
						程序|访问 &lt;%''获取访问者的地址ip=Request.ServerVariables(&quot;REMOTE_ADDR&quot;) ''允许的IP地址段为10.0.0.0-10.68.6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxnqRz.html" rel="bookmark" class="title">Dojo最佳实践</a>
					<div>
						传统 Web 应用程序可以非常好的支持浏览器的书签收藏以及前进后退按钮.而在基于 Ajax 的 Web 应用中,页面的内容刷新往往是通过异步请求的方式动态局部刷新,而不会重新请求一个页面,因而页面对应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGj2x6p.html" rel="bookmark" class="title">使用application提高ASP数据显示效率</a>
					<div>
						当数据上到好几万多条时,要调用几条数据在页面显示,ASP就会慢如蜗牛.最糟糕的是,当n多用户打开页面访问的时候,每个用户每次都要读取数据库一次,这无疑降低了效率,很明显, 如果能把数据能保存在内存上, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwwKRz.html" rel="bookmark" class="title">angularjs 过滤器filter</a>
					<div>
						在前面介绍angularjs已经很多了,中途由于工作和一切生活琐事,暂停了很久.今天在这里将继续angularjs讲解,这节我 们来看看angularjs的过滤去filter. 在我们开发中经常需要在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEOO7b.html" rel="bookmark" class="title">C&plus;&plus;惯用法之RAII</a>
					<div>
						C++号称是多范式的通用编程语言,但是RAII实际上已在C++编程技术中变成 不可或缺的核心技术.RAII几乎无处不在的身影不仅仅来自于C++之父的大力提 倡,更来自于这一技术本身的简单,高效和几乎无 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAPvrb.html" rel="bookmark" class="title">用C&num; 实现截图功能&lpar;1&rpar;（类似QQ截图）</a>
					<div>
						概述: 在公司,不能自己安装软件,也不能下载,但有时候需要截图.用PrintScreen键只能截取全屏,感觉很麻烦.于是决定自己编写一个截图工具. 众所周知,QQ截图首先将截取全屏为一个图片,然后用在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPeV0M.html" rel="bookmark" class="title">Excel2010打印表格纸张上显示不完整怎么办？</a>
					<div>
						使用 Excel 2010 打印表格时,有时会无法将所有内容打印到一张页面,如下图所示: 展开这个图片 怎样才能把它们弄到一张纸上呢? 在 Excel 2010 中,你可以试试这么做: 打开需要打印的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBK6rkM.html" rel="bookmark" class="title">PHP处理SQL脚本文件导入到MySQL的代码实例</a>
					<div>
						 通常在制作安装程式,数据备份程序的时候会要用到这样的代码,我看网上有是有不太多,而且有些也不是很好用,有时候这种代码直接用现成的可以节省很多时间,那么我就从stackoverflow转了一个过来,需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badE1Pz.html" rel="bookmark" class="title">PS教你打造一张炫酷的全视角汽车海报</a>
					<div>
						  昨天看到这样一张海报,非常的前卫.我当时想这估计不是PS作品,更多的可能是3D软件做的.因为它的灯光,透视等等都非常的精确,不是PS能轻易实现的. 我不是说PS就完全没有办法,PS也有它的长处-. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bad0BQz.html" rel="bookmark" class="title">如何在电脑中通过iTunes更新iPhone上的应用程序</a>
					<div>
						  如何在电脑中通过iTunes更新iPhone上的应用程序       1.用手机数据线将iPhone连接电脑,手机上会出现提示,点击&quot;信任&quot;; 2.双击打开iTunes; 3. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywZ74z.html" rel="bookmark" class="title">ps是什么意思</a>
					<div>
						ps是许多东西的缩写,但是当你提起ps,人们脑海中的第一印象就是指图像处理软件:Adobe Photoshop,简称&quot;PS&quot;.PS是一个由Adobe Systems开发和发行的图像 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24kr4p.html" rel="bookmark" class="title">如何对win7版系统中命令提示符窗口中的字体进行修改？</a>
					<div>
						  我们知道,在win7系统下载官网电脑中,很多地方的字体大小.颜色.字形都是可以修改的,而在一些地方,字体大小.颜色.字形要修改却是需要进行一些设置才能完成的,例如咱们记事本中的文字,还有命令提示符 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBEenz.html" rel="bookmark" class="title">js中的Window对象</a>
					<div>
						JavaScript分为 ECMAScript,DOM,BOM; DOM 是指文档对象模型,并非一个对象; BOM就是浏览器窗口对象模型,顶级对象是window; window,document都是一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAVrKM.html" rel="bookmark" class="title">android平台使用valgrind分析内存，行号不正确</a>
					<div>
						问题描述 android平台使用valgrind分析内存,行号不正确 android 4.4.4,使用源码里自带的valgrind进行分析,自己写了个数组越界的demo.然后使用valgrind分析, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRQoVz.html" rel="bookmark" class="title">【IOS-COCOS2D游戏开发之二十一 】自定义精灵类并为你的精灵设置攻击帧&lpar;指定开始帧&rpar;以及扩展COCOS2D源码的CCANIMATION简化动画创建！</a>
					<div>
						本站文章均为 李华明Himi 原创,转载务必在明显处注明: 转载自[黑米GameDev街区] 原文链接: http://www.himigame.com/iphone-cocos2d/525.html ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlN2jp.html" rel="bookmark" class="title">log4j用poolman配置数据库连接池的问题</a>
					<div>
						问题描述 我的项目用log4j记录日志,用poolman来配置数据库连接池.现在是这样一个问题:数据库的连接信息在poolman.xml中配置,我想对poolman.xml中的数据库连接信息进行加密. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDZDkz.html" rel="bookmark" class="title">jquery select 选择框事件代码</a>
					<div>
						 if ($(this).is(&quot;select&quot;)) { $(this).bind(&quot;change&quot;, function(){ var items=$(this ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRXPAb.html" rel="bookmark" class="title">HTML5新元素，新属性及新JavaScript接口的一些复杂新特性</a>
					<div>
						尽管http://www.aliyun.com/zixun/aggregation/79228.html&quot;&gt; HTML5 的实现还有很长的路要走,但 HTML5 正在改变 Web. 作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40j3Jz.html" rel="bookmark" class="title">Linux中如何让进程在后台运行</a>
					<div>
						一. nohup / setsid / &amp; 使用场景:如果只是临时有一个命令需要长时间运行,什么方法能最简便的保证它在后台稳定运行呢? 我们的解决办法就有两种途径:要么让进程忽略 HUP 信号 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAqBjb.html" rel="bookmark" class="title">WPF 视频怎么调整背景透明</a>
					<div>
						问题描述 MediaElement播放的视频背景是黑色的,我想要背景透明的 解决方案 解决方案二:重写它的模板,点击右键-模板-创建副本解决方案三:???????????????解决方案四:应该要重新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWRN3z.html" rel="bookmark" class="title">jQuery AJAX实现调用页面后台方法&lowbar;AJAX相关</a>
					<div>
						本文实例为大家分享了jQuery AJAX调用页面后台方法,供大家参考,具体内容如下 1.新建demo.aspx页面. 2.首先在该页面的后台文件demos.aspx.cs中添加引用. using S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqdLdp.html" rel="bookmark" class="title">MyBatis5中Spring集成MyBatis事物管理&lowbar;java</a>
					<div>
						单独使用MyBatis对事物进行管理 前面MyBatis的文章有写过相关内容,这里继续写一个最简单的Demo,算是复习一下之前MyBatis的内容吧,先是建表,建立一个简单的Student表: cre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYD36b.html" rel="bookmark" class="title">Javascript跨域请求的4种解决方式&lowbar;javascript技巧</a>
					<div>
						什么情况下才会出现跨域? 假设域名是:http://www.example.com.cn/ 如果所请求的域名跟这个域名不致,这种情况就是跨域,由于跨域存在漏洞,所以一般来说正常的跨域请求方式是请求不到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqW1wKz.html" rel="bookmark" class="title">JavaScript验证18位身份证号码最后一位正确性的实现代码&lowbar;javascript技巧</a>
					<div>
						根据身份证号码推算出最后一位的正确性,如果不正确还会给出正确结果,非常有意思的一断程序. &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Tr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKq197p.html" rel="bookmark" class="title">网站被百度K后的诊断与解决完整方法</a>
					<div>
						网站被百度K后的诊断与解决完整方法 国建站网的发展可谓一波三折,网站于12月3号正式成立,当时正处在网络严打期,空间也被关停过,由于准备充分,一个小时内就恢复了正常访问,网站上线的第二天就收录了主页, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7kKGM.html" rel="bookmark" class="title">在IE上显示差异的问题</a>
					<div>
						问题描述 小弟最近发现,我的www.nbstats.gov.cn图片新闻在IE9.0上无法显示,但是在Ie8.0和Ie7.0上显示没有问题.有大虾给帮忙诊断一下?以上是我完整的源代码 解决方案 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG1ZOlM.html" rel="bookmark" class="title">SQL Server中TempDB管理（version store的逻辑结构）</a>
					<div>
						原文:SQL Server中TempDB管理(version store的逻辑结构) 原文来自: http://blogs.msdn.com/b/sqlserverstorageengine/arch ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOWdAxz.html" rel="bookmark" class="title">互联网理财&OpenCurlyDoubleQuote;逼宫&rdquo; 多家银行酝酿&OpenCurlyDoubleQuote;类余额宝&rdquo;理财产品</a>
					<div>
						互联网与基金的融合正迎来新时代,也促使金融业理财格局悄然生变.继余额宝大获成功之后,阿里.腾讯.百度.苏宁等纷纷推出基金理财产品,他们利用自己强大的互联网平台和积累的用户群,开发出快捷和人性化的金融理 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
